Bug 548154 - The package rhn-ssl-cert-check from Satellite 5.2 is not removed as part of the upgrade to Satelite 5.3.0.
Summary: The package rhn-ssl-cert-check from Satellite 5.2 is not removed as part of t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades
Version: 530
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Michael Mráka
URL:
Whiteboard: Fixed in the 5.4.0 Release - GA'd 201...
Depends On:
Blocks: sat540-upgrades
TreeView+ depends on / blocked
 
Reported: 2009-12-16 19:19 UTC by David Glaser
Modified: 2018-10-27 13:56 UTC (History)
4 users (show)

Fixed In Version: spacewalk-ssl-cert-check-2.0-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 15:03:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Glaser 2009-12-16 19:19:57 UTC
Description of problem:

The package rhn-ssl-cert-check doesn't appear to be removed when upgrading from satellite 5.2.0 to 5.3.0

Version-Release number of selected component (if applicable):

rhn-ssl-cert-check-5.2-1.2.el5

How reproducible:

only have done it once. So far always

Steps to Reproduce:
1. Upgrade Satellite (this was on RHEL 5, x86_64, embedded database) from 5.2.0
2. the package rhn-ssl-cert-check-5.2.-1.2.el5 remains on the system
3. 
  
Actual results:

The package remains after Satellite is upgraded, but is non operative as it makes checks for rhns-satellite-tools package, which is removed during the upgrade process.

Expected results:

As it appears that this package is not provided in 5.3.0, it should check to see if the old package existed and remove it if necessary. Ideally, a new package should be provided, or its functionality be provided by another package.


Additional info:

Comment 1 Clifford Perry 2010-01-29 20:26:53 UTC
I think this was moved/renamed into the RHN Tools channel. Maybe you are not subscribed to the RHN Tools channel for this package. 

Cliff

Comment 2 Milan Zázrivec 2010-03-16 09:50:31 UTC
(In reply to comment #1)
> I think this was moved/renamed into the RHN Tools channel. Maybe you are not
> subscribed to the RHN Tools channel for this package. 

This is what in fact happened:

1. With Satellite 5.3.0 release, package spacewalk-ssl-cert-check was
pushed into all rhn-tools channels, which obsoleted rhn-ssl-cert-check
on all < 5.3 Satellites subscribed to rhn-tools channels
(spacewalk-ssl-cert-check did not work on < 5.3 Satellites).

2. There was a fix for this, which pushed rhn-ssl-cert-check-5.2.-1.2.el5
into all < 5.3 Satellite channels, which obsoleted 
spacewalk-ssl-cert-check < 1.8 (so that you'd have a working ssl-cert-check
in your < 5.3 Satellites again).

These two facts cause the upgrade problem described in the initial comment.

Comment 3 Milan Zázrivec 2010-09-23 15:17:51 UTC
For all Satellite customers who upgraded to Satellite 5.3 and are experiencing
this problem, the solution (or workaround) would be to (forcibly) remove
rhn-ssl-cert-check and install latest spacewalk-ssl-cert-check contained
in the Satellite 5.3 channel (or installation ISO).

With the upgrade to Satellite 5.4, the problem will be resolved automatically
during package upgrade.

QA: Install Satellite 5.2, subscribe it to rhn-tools channel, upgrade packages
and upgrade to Satellite 5.4. Check that spacewalk-ssl-cert-check package
is installed and it works as expected.

Comment 4 Michael Mráka 2010-10-06 12:10:29 UTC
Verified.

[root@tyan-gt24-01 i386]# rpm -q rhn-ssl-cert-check
rhn-ssl-cert-check-5.2-1.2.el5
[root@tyan-gt24-01 i386]# ./install.pl --upgrade
...
* Restarting services.
* Upgrade flag passed.  Stopping necessary services.
This portion of the RHN Satellite upgrade process has successfully completed.
Please refer to appropriate upgrade document in /etc/sysconfig/rhn/satellite-upgrade for any remaining steps in the process.
[root@tyan-gt24-01 i386]# rpm -q rhn-ssl-cert-check
package rhn-ssl-cert-check is not installed

Comment 5 Clifford Perry 2010-10-28 15:03:45 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.